// Archivo: venta.cpp
#include "venta.hpp"
#include <iostream>
#include<locale.h>
#include <windows.h>
using namespace std;

//Métodos Públicos
// Definición del constructor por defecto e inicilización de miembros
Venta::Venta()
{
	this->cedula = 0;
	this->nombre = "";
	this->celular = 0;
	this->ciudad = "";
	this->edad = 0;
	this->actividad = "";
	this->tipo = "";

}
// Definición del constructor específico
Venta::Venta(int ced, string nom, int cel, string ciu, int ed, string act, string tiv)
{
	this->cedula = ced;
	this->nombre = nom;
	this->celular = cel;
	this->ciudad = ciu;
	this->edad = ed;
	this->actividad = act;
	this->tipo = tiv;
}
// Definición del método específico de carga
void Venta::getventa(int ced, string nom, int cel, string ciu, int ed, string act, string tiv)
{
	this->cedula = ced;
	this->nombre = nom;
	this->celular = cel;
	this->ciudad = ciu;
	this->edad = ed;
	this->actividad = act;
	this->tipo = tiv;

}
// Definición del destructor por defecto
Venta::~Venta()
{
}
void Venta::setventa()
{
	cout << "\n\t              DATOS   BÁSICOS   DE   VENTA              ";
	cout << "\n\t--------------------------------------------------------";
	cout << "\n\tCédula: " << cedula << "\t\t\tNombre: " << nombre;
	Sleep(200);
	cout << "\n\tCelular: " << celular << "\t\t\tCiudad: " << ciudad;
	Sleep(200);
	cout << "\n\tEdad: " << edad << "\t\t\tActividad: " << actividad;
	Sleep(200);
	cout << "\n\tModalidad de venta: " << tipo;
	cout << "\n\t---------------------------------------------------------";
}
// final del archivo venta.cpp
